Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516473 - Don't display required networks in the iSCSI Bonding dialogs
Summary: Don't display required networks in the iSCSI Bonding dialogs
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: shani
QA Contact: Shir Fishbain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 17:10 UTC by Allon Mureinik
Modified: 2019-04-14 12:56 UTC (History)
6 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 91730 master MERGED webadmin: Hide required networks in iSCSI Bonding dialog 2018-06-13 08:13:02 UTC
oVirt gerrit 92245 master MERGED dbscripts: Fix GetRequiredNetworksByDataCenterId in network_sp.sql 2018-06-18 09:52:15 UTC

Description Allon Mureinik 2017-11-22 17:10:48 UTC
Description of problem:
iSCSI Bonds can only use non-reuiqred networks (see org.ovirt.engine.core.bll.validator.IscsiBondValidator#validateAddedLogicalNetworks(java.util.Collection<org.ovirt.engine.core.compat.Guid>, org.ovirt.engine.core.compat.Guid)).

Thus, the required networks should not be displayed in the dialogs for creating/editing an iSCSI bond, as selecting them is known to fail

Version-Release number of selected component (if applicable):
Observed on 4.1, probably existed since the feature was first introduced, in RHEV 3.5

How reproducible:
100%

Steps to Reproduce:
1. Create a DC with an iSCSI storage domain
2. Navigate to Data Centers -> iSCSI Bonding -> new
3.

Actual results:
Required networks are displayed

Expected results:
Required networks are not displayed

Additional info:

Comment 1 RHV Bugzilla Automation and Verification Bot 2018-12-10 15:13:27 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 2 RHV Bugzilla Automation and Verification Bot 2019-01-15 23:35:55 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 3 Shir Fishbain 2019-01-30 14:14:13 UTC
Verified 

ovirt-engine-4.3.0-0.8.rc2.el7.noarch
vdsm-4.30.6-1.el7ev.x86_64

iSCSI bond was successfully created in Data Center 

2019-01-30 15:56:53,981+02 INFO  [org.ovirt.engine.core.bll.storage.connection.iscsibond.AddIscsiBondCommand] (default task-101) [574fc580-25de-4a59-8e03-488fac5f7ed3] Running command: AddIscsiBondCommand intern
al: false. Entities affected :  ID: 9807da5c-e4f9-4e5b-b9d1-b88fc9003d62 Type: StoragePoolAction group EDIT_STORAGE_POOL_CONFIGURATION with role type ADMIN

2019-01-30 15:56:57,889+02 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-101) [574fc580-25de-4a59-8e03-488fac5f7ed3] EVENT_ID: ISCSI_BOND_ADD_SUCCESS(10,400), iSCSI bond 'new123' was successfully created in Data Center 'golden_env_mixed'.

Comment 4 Shir Fishbain 2019-01-30 14:25:08 UTC
When configuring the new networks that aren't required it doesn't show the network under logical networks in "add iSCSI bond" window

Comment 5 Shir Fishbain 2019-01-30 14:39:55 UTC
When configuring the new networks that aren't required it shows the networks under logical networks in "add iSCSI bond" window

Comment 6 Shir Fishbain 2019-01-30 14:49:28 UTC
Non required networks are not displayed in iSCSI bond dialog


Note You need to log in before you can comment on or make changes to this bug.